# Import or export translations

## Import translations

To import translations, first make sure that you have your translations in CSV format. Most translation providers offer a way to export your translations as a CSV file.

For Weglot migrations, refer to the following link for instructions on how to export your translations: <https://www.weglot.com/academy/import-export-translations>

Next, you need to make sure your CSV file is correctly formatted. These are the columns expected by Linguana:

**text | ai\_translation | manual\_translation | text\_type | attribute\_name | parsed\_element\_type**

*All values should be separated by the vertical bar character (|). It is acceptable to leave values blank.*

For Weglot migrations, you can use the following Python script to automatically convert your translations into the correct format:

{% file src="/files/S5F9E9WEXF0RTMoogGsB" %}
Automatically convert exported Weglot translation to Linguana formatting
{% endfile %}

To use the Weglot conversion Python script, simply right-click and save the above file, and run the following command in your terminal in the directory the file was saved.

*Make sure to change the input file path to the path of your Weglot translations CSV and the output file path to the path you want to save your Linguana translations CSV.*

```
python convert_from_weglot_to_linguana.py /path/to/input/folder/en_es.csv /path/to/output/folder/en_es_linguana.csv
```

Once you have a correctly formatted CSV file, go to the Linguana dashboard, navigate to the page or language you'd like to import translations for, click the three vertical dots in the top right, select "Import CSV", and upload your translations file.

## Export translations

To export existing translations, simply navigate to the page or language you'd like to export, click the three vertical dots in the top right, and select "Export CSV". That's it!


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linguana.io/translating-your-website/import-or-export-translations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
